public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/eventd/
Date: Sat, 17 Mar 2018 11:19:40 +0000 (UTC)	[thread overview]
Message-ID: <1521285574.6ba2e0f2af630c997ede36effca558d18a5748ff.mgorny@gentoo> (raw)

commit:     6ba2e0f2af630c997ede36effca558d18a5748ff
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Fri Mar 16 17:29:10 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar 17 11:19:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ba2e0f2

net-misc/eventd: verbump to 0.24.1

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-misc/eventd/Manifest             |   1 +
 net-misc/eventd/eventd-0.24.1.ebuild | 123 +++++++++++++++++++++++++++++++++++
 2 files changed, 124 insertions(+)

diff --git a/net-misc/eventd/Manifest b/net-misc/eventd/Manifest
index 378e3f307b4..531b0759c1f 100644
--- a/net-misc/eventd/Manifest
+++ b/net-misc/eventd/Manifest
@@ -1,2 +1,3 @@
 DIST eventd-0.21.0.tar.xz 392080 BLAKE2B 14d01d46e07e650f392abca53716c1fd5a5d70f05fe006e8a230d38be610e36ee0369742d258b46697376317be4ff6a071166a45528ef2840159a1024057d6cc SHA512 5907d453c493c9f2332df506037027ef7df021b1e29a6773cf8bb5c32c7a301b65ca55d3e3ea40982d3e48b837738c97b5420309a45a550f409d8912636d1dae
 DIST eventd-0.24.0.tar.xz 184140 BLAKE2B 496b91b595d391ab056298b63a75df7be1a7362b960308d24bd950fefa2084d3b1eb04fb45f25cca11116d922ecb835b3f8545e7b3c5099261bc9872a157098f SHA512 204383140a0b6baf23ba148b525de7bcb90bdedd3be9e6cd7e8ce4222a689cd6cdeae8e29afa612afe3fbf8cec68f9bbdff74e826a04ff892e51d6fd4bba2cf2
+DIST eventd-0.24.1.tar.xz 184276 BLAKE2B cd14506d7f539bd6076540c713c7957d52db1fb3a4a09ad52d2b1d4ab4b3d3c31c8245063a85efcef1abbc127fa534c15db1b297f9f651ac113b3723842f76f2 SHA512 c99a42364796cf7421bbb3c8b0d0810e1933b226c8bc4f74240d276d40bd9b96aae5d6016b8da92435222572fd1bf04441a63039f14162702f87aa0bdd4d67ed

diff --git a/net-misc/eventd/eventd-0.24.1.ebuild b/net-misc/eventd/eventd-0.24.1.ebuild
new file mode 100644
index 00000000000..b981fafccea
--- /dev/null
+++ b/net-misc/eventd/eventd-0.24.1.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit linux-info meson systemd xdg-utils
+
+DESCRIPTION="A small daemon to act on remote or local events"
+HOMEPAGE="https://www.eventd.org/"
+SRC_URI="https://www.eventd.org/download/eventd/${P}.tar.xz"
+
+LICENSE="GPL-3+ LGPL-3+ MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug fbcon +introspection ipv6 libcanberra libnotify +notification
+	pulseaudio purple speech systemd test upnp webhook websocket +X zeroconf"
+
+REQUIRED_USE="
+	X? ( notification )
+	fbcon? ( notification )
+	notification? ( || ( X fbcon ) )
+	test? ( websocket )
+"
+
+COMMON_DEPEND="
+	>=dev-libs/glib-2.40:2
+	sys-apps/util-linux
+	x11-libs/libxkbcommon
+	introspection? ( >=dev-libs/gobject-introspection-1.42 )
+	libcanberra? ( media-libs/libcanberra )
+	libnotify? ( x11-libs/gdk-pixbuf:2 )
+	notification? (
+		x11-libs/cairo
+		x11-libs/pango
+		x11-libs/gdk-pixbuf:2
+		X? (
+			x11-libs/cairo[xcb]
+			x11-libs/libxcb:=
+			x11-libs/xcb-util
+			x11-libs/xcb-util-wm
+		)
+	)
+	pulseaudio? (
+		media-libs/libsndfile
+		media-sound/pulseaudio
+	)
+	purple? ( net-im/pidgin )
+	speech? ( >=app-accessibility/speech-dispatcher-0.8.7 )
+	systemd? ( sys-apps/systemd:= )
+	upnp? ( net-libs/gssdp:= )
+	webhook? ( >=net-libs/libsoup-2.42:2.4 )
+	websocket? ( >=net-libs/libsoup-2.50:2.4 )
+	zeroconf? ( net-dns/avahi[dbus] )
+"
+DEPEND="${COMMON_DEPEND}
+	>=dev-util/meson-0.44.1
+	app-text/docbook-xml-dtd:4.5
+	app-text/docbook-xsl-stylesheets
+	dev-libs/libxslt
+	virtual/pkgconfig
+	fbcon? ( virtual/os-headers )
+"
+RDEPEND="${COMMON_DEPEND}
+	net-libs/glib-networking[ssl]
+"
+
+pkg_setup() {
+	if use ipv6; then
+		CONFIG_CHECK=$(usex test 'IPV6' '~IPV6')
+		linux-info_pkg_setup
+	fi
+}
+
+src_prepare() {
+	default_src_prepare
+
+	# Prevent access violations from introspection metadata generation.
+	xdg_environment_reset
+}
+
+eventd_use_enable() {
+	echo "-D${2:-${1}}=$(usex ${1} 'true' 'false')" || die
+}
+
+src_configure() {
+	local emesonargs=(
+		-Dsystemduserunitdir="$(systemd_get_userunitdir)"
+		-Dsystemdsystemunitdir="$(systemd_get_systemunitdir)"
+		-Ddbussessionservicedir="${EPREFIX}/usr/share/dbus-1/services"
+		$(eventd_use_enable websocket)
+		$(eventd_use_enable zeroconf dns-sd)
+		$(eventd_use_enable upnp ssdp)
+		$(eventd_use_enable ipv6)
+		$(eventd_use_enable systemd)
+		$(eventd_use_enable notification notification-daemon)
+		# Wayland plugin requires wayland-wall, which is currently WIP.
+		# See https://github.com/wayland-wall/wayland-wall/issues/1
+		-Dnd-wayland="false"
+		$(eventd_use_enable X nd-xcb)
+		$(eventd_use_enable fbcon nd-fbdev)
+		$(eventd_use_enable purple im)
+		$(eventd_use_enable pulseaudio sound)
+		$(eventd_use_enable speech tts)
+		$(eventd_use_enable webhook)
+		$(eventd_use_enable libnotify)
+		$(eventd_use_enable libcanberra)
+		$(eventd_use_enable introspection gobject-introspection)
+		$(eventd_use_enable debug)
+	)
+	meson_src_configure
+}
+
+src_test() {
+	EVENTD_TESTS_TMP_DIR="${T}" meson_src_test
+}
+
+pkg_postinst() {
+	if { use notification || use libnotify; } && ! has_version 'gnome-base/librsvg'; then
+		elog
+		elog "For SVG icons in notifications, please install 'gnome-base/librsvg'."
+		elog
+	fi
+}


             reply	other threads:[~2018-03-17 11:19 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-17 11:19 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-14 21:13 [gentoo-commits] repo/gentoo:master commit in: net-misc/eventd/ Matt Turner
2023-08-14 21:13 Matt Turner
2023-06-10 22:56 Andreas Sturmlechner
2023-01-08  2:19 Sam James
2022-10-08 22:15 Sam James
2020-05-28 12:00 Joonas Niilola
2020-02-21 21:20 Mart Raudsepp
2020-01-14 22:48 Matt Turner
2019-12-12 14:58 Michał Górny
2019-10-26  9:58 Joonas Niilola
2019-10-26  9:54 Joonas Niilola
2019-10-23 13:46 Joonas Niilola
2019-10-23  5:10 Joonas Niilola
2019-10-23  5:10 Joonas Niilola
2018-03-17 11:19 Michał Górny
2018-03-11 23:37 Michael Palimaka
2018-03-11 23:37 Michael Palimaka
2018-02-25 23:59 Andreas Sturmlechner
2017-11-19 16:10 Andreas Sturmlechner
2017-11-19 16:10 Andreas Sturmlechner
2017-05-24 12:14 Michał Górny
2017-05-21 21:03 Michał Górny
2017-04-15  7:35 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1521285574.6ba2e0f2af630c997ede36effca558d18a5748ff.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox